/**********************************************
* Zeus CMD - C++ Tutorial 39 : String Streams *
* By Grant James (ZEUS)                       *
* http://www.zeuscmd.com                      *
**********************************************/
#include <iostream>
#include <stdlib.h>
#include <sstream>
#include <stdio.h>

using namespace std;

int main()
{
	int a, b, c;

	// C String Streams
	//------------------
	char cstr[] = "Data : 56 43 23";

	sscanf(cstr, "Data : %d %d %d", &a, &b, &c);

	printf("%d %d %d\n", a, b, c);

	// C++ String Streams
	//--------------------
	a = b = c = 0;

	string cppstr = "Data : 56 43 23";

	stringstream ss(cppstr);
	
	while (!isdigit(ss.peek()))
		ss.get();

	ss >> a >> b >> c;

	cout << a << " " << b << " " << c << endl;

	system("sleep 1");

	return 0;
}
